org.apache.avro.message

## Interface SchemaStore

- All Known Implementing Classes:
    SchemaStore.Cache

      public interface SchemaStore

  Interface for classes that can provide avro schemas by fingerprint.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `SchemaStore.Cache` A map-based cache of schemas by AVRO-CRC-64 fingerprint.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Schema` | `findByFingerprint(long fingerprint)` Retrieves a fingerprint by its AVRO-CRC-64 fingerprint.

- - ### Method Detail

    - #### findByFingerprint

          Schema findByFingerprint(long fingerprint)

      Retrieves a fingerprint by its AVRO-CRC-64 fingerprint.
      Parameters:
        `fingerprint` - an AVRO-CRC-64 fingerprint long
      Returns:
        a Schema with the given fingerprint, or null

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.